<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$longName = 'Sicherheit';
$sortId = 6;
$settingsArray = array();

$setting = new Setting();
$setting->name = 'SAFER_HEADER';
$setting->description = 'Sicherheitsheader mitsenden';
$setting->help = 'Ist diese Einstellung gesetzt, werden HTTP-Header-Felder gegen Clickjacking, Cross-Site-Scripting und MIME-Sniffing gesendet.';
$setting->subGroup = 'Sicherheit';
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'SAFER_HEADER_FRAME_ANCESTORS';
$setting->description = 'Sicherheitsheader für Content-Security anpassen';
$setting->help = 'Hier können mehrere mit Leerzeichen getrennte Seiten angegeben werden, '
        . 'die im HTTP-Header als Content-Security-Policy: frame-ancestors hinterlegt werden. '
        . 'Die erste angegebene Seite wird hierbei im HTTP-Header bei X-Frame-Options: ALLOW-FROM hinterlegt.<br>'
        . '(http:// bzw. https:// muss mitangegeben werden!)'
        . 'Diese Einstellung sollte bei Verwendung von Epayment (Wirecard und Novalnet) nicht verwendet werden, '
        . 'da es sonst zu Problemen kommen kann.';
$setting->subGroup = 'Sicherheit';
$setting->config->loadConfiguration(SC_INPUTHTML);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'SAFER_HTTPS';
$setting->description = 'Wechsel von HTTPS zu HTTP nicht zulassen';
$setting->help = 'Ist diese Einstellung gesetzt, werden Downgrade-Attacken verhindert.';
$setting->subGroup = 'Sicherheit';
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'REFERRER_POLICY';
$setting->description = 'Referrer Policy';
$setting->help = 'Um mehr über diese Einstellung zu erfahren, besuchen Sie bitte den folgenden Link: https://scotthelme.co.uk/a-new-security-header-referrer-policy';
$setting->subGroup = 'Sicherheit';
$setting->config->items = array('' => '--- Referrer Policy auswählen ---', 'strict-origin-when-cross-origin' => 'strict-origin-when-cross-origin',
  'strict-origin' => 'strict-origin', 'no-referrer' => 'no-referrer', 'no-referrer-when-downgrade' => 'no-referrer-when-downgrade',
  'same-origin' => 'same-origin', 'origin' => 'origin', 'origin-when-cross-origin' => 'origin-when-cross-origin'
);
$setting->config->loadConfiguration(SC_SELECTBOX);
array_push($settingsArray, $setting);